<?php

namespace App\Traits;

use App\Models\ProcessoJuridico;

trait TemProcessoJuridico
{
    public function processosJuridicos()
    {
        return $this->morphMany(ProcessoJuridico::class, 'agendavel');
    }

    public function temProcessosJuridicos()
    {
        return $this->processosJuridicos()->count() > 0;
    }
}
